Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::Administration_var Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::Administration_var:

[legend]
Collaboration diagram for ImplementationRepository::Administration_var:

[legend]
List of all members.

## Public Methods
| Administration_var (void)
| Administration_var (Administration_ptr p)
| Administration_var (const Administration_var &)
| ~Administration_var (void)
Administration_var & | operator= (Administration_ptr)
Administration_var & | operator= (const Administration_var &)
Administration_ptr | operator-> (void) const
| operator const Administration_ptr & () const
| operator Administration_ptr & ()
Administration_ptr | in (void) const
Administration_ptr & | inout (void)
Administration_ptr & | out (void)
Administration_ptr | _retn (void)
Administration_ptr | ptr (void) const
## Static Public Methods
Administration_ptr | tao_duplicate (Administration_ptr)
void | tao_release (Administration_ptr)
Administration_ptr | tao_nil (void)
Administration_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| Administration_var (const TAO_Base_var &rhs)
Administration_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
Administration_ptr | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::Administration_var::Administration_var | ( | void |  | ) |

ImplementationRepository::Administration_var::Administration_var | ( | Administration_ptr | p | ) | `[inline]`

ImplementationRepository::Administration_var::Administration_var | ( | const Administration_var & |  | ) |

ImplementationRepository::Administration_var::~Administration_var | ( | void |  | ) |

ImplementationRepository::Administration_var::Administration_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

Administration_ptr ImplementationRepository::Administration_var::_retn | ( | void |  | ) |

Administration_ptr ImplementationRepository::Administration_var::in | ( | void |  | ) | const

Administration_ptr& ImplementationRepository::Administration_var::inout | ( | void |  | ) |

ImplementationRepository::Administration_var::operator Administration_ptr & | ( |  | ) |

ImplementationRepository::Administration_var::operator const Administration_ptr & | ( |  | ) | const

Administration_ptr ImplementationRepository::Administration_var::operator-> | ( | void |  | ) | const

Administration_var& ImplementationRepository::Administration_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

Administration_var& ImplementationRepository::Administration_var::operator= | ( | const Administration_var & |  | ) |

ImplementationRepository::Administration_var & ImplementationRepository::Administration_var::operator= | ( | Administration_ptr | p | ) |

Administration_ptr& ImplementationRepository::Administration_var::out | ( | void |  | ) |

ImplementationRepository::Administration_ptr ImplementationRepository::Administration_var::ptr | ( | void |  | ) | const

Administration_ptr ImplementationRepository::Administration_var::tao_duplicate | ( | Administration_ptr |  | ) | `[static]`

Administration_ptr ImplementationRepository::Administration_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

Administration_ptr ImplementationRepository::Administration_var::tao_nil | ( | void |  | ) | `[static]`

void ImplementationRepository::Administration_var::tao_release | ( | Administration_ptr |  | ) | `[static]`

CORBA::Object* ImplementationRepository::Administration_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

Administration_ptr ImplementationRepository::Administration_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp